clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CodeGenFunction::AbstractCallee Class Reference

An abstract representation of regular/ObjC call/message targets. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CodeGenFunction.h"`

## Public Member Functions
| AbstractCallee ()
| AbstractCallee (const FunctionDecl *FD)
| AbstractCallee (const ObjCMethodDecl *OMD)
bool | hasFunctionDecl () const
const Decl * | getDecl () const
unsigned | getNumParams () const
const ParmVarDecl * | getParamDecl (unsigned I) const

## Detailed Description

An abstract representation of regular/ObjC call/message targets.

Definition at line 429 of file CodeGenFunction.h.

## Constructor & Destructor Documentation

## ◆ AbstractCallee() [1/3]

clang::CodeGen::CodeGenFunction::AbstractCallee::AbstractCallee | ( |  | ) |
| inline

Definition at line 434 of file CodeGenFunction.h.

## ◆ AbstractCallee() [2/3]

clang::CodeGen::CodeGenFunction::AbstractCallee::AbstractCallee | ( | const FunctionDecl * | FD | ) |
| inline

Definition at line 435 of file CodeGenFunction.h.

## ◆ AbstractCallee() [3/3]

clang::CodeGen::CodeGenFunction::AbstractCallee::AbstractCallee | ( | const ObjCMethodDecl * | OMD | ) |
| inline

Definition at line 436 of file CodeGenFunction.h.

## Member Function Documentation

## ◆ getDecl()

const Decl* clang::CodeGen::CodeGenFunction::AbstractCallee::getDecl | ( |  | ) | const
| inline

Definition at line 440 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitNonNullArgCheck().

## ◆ getNumParams()

unsigned clang::CodeGen::CodeGenFunction::AbstractCallee::getNumParams | ( |  | ) | const
| inline

Definition at line 441 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitCallArgs(), and clang::CodeGen::CodeGenFunction::EmitNonNullArgCheck().

## ◆ getParamDecl()

const ParmVarDecl* clang::CodeGen::CodeGenFunction::AbstractCallee::getParamDecl | ( | unsigned | I | ) | const
| inline

Definition at line 446 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitCallArgs(), and clang::CodeGen::CodeGenFunction::EmitNonNullArgCheck().

## ◆ hasFunctionDecl()

bool clang::CodeGen::CodeGenFunction::AbstractCallee::hasFunctionDecl | ( |  | ) | const
| inline

Definition at line 437 of file CodeGenFunction.h.

Referenced by clang::CodeGen::CodeGenFunction::EmitCallArgs().

The documentation for this class was generated from the following file:

- lib/CodeGen/CodeGenFunction.h